Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/AlpsGeneticAlgorithm.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/AlpsGeneticAlgorithm.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/AlpsGeneticAlgorithm.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -40,5 +40,5 @@
   [Item("ALPS Genetic Algorithm", "A genetic algorithm within an age-layered population structure as described in Gregory S. Hornby. 2006. ALPS: the age-layered population structure for reducing the problem of premature convergence. In Proceedings of the 8th annual conference on Genetic and evolutionary computation (GECCO '06). 815-822.")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms, Priority = 160)]
-  [StorableClass]
+  [StorableClass("9B90E131-0248-4313-AD8E-1B258D9AE209")]
   public sealed class AlpsGeneticAlgorithm : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/AlpsGeneticAlgorithmMainLoop.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/AlpsGeneticAlgorithmMainLoop.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/AlpsGeneticAlgorithmMainLoop.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 
   [Item("AlpsGeneticAlgorithmMainLoop", "An ALPS genetic algorithm main loop operator.")]
-  [StorableClass]
+  [StorableClass("52CF9371-D792-4ED7-BF5E-5DD53A9200AB")]
   public sealed class AlpsGeneticAlgorithmMainLoop : AlgorithmOperator {
     #region Parameter Properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/AlpsGeneticAlgorithmMainOperator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/AlpsGeneticAlgorithmMainOperator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/AlpsGeneticAlgorithmMainOperator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.ALPS {
   [Item("AlpsGeneticAlgorithmMainOperator", "An operator that represents the core of an ALPS genetic algorithm.")]
-  [StorableClass]
+  [StorableClass("A0114C78-C3E7-4676-9BD4-5D955284CBDC")]
   public sealed class AlpsGeneticAlgorithmMainOperator : AlgorithmOperator {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/Analyzers/AgeDistributionAnalyzer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/Analyzers/AgeDistributionAnalyzer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/Analyzers/AgeDistributionAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
   // Based on QualityDistributionAnalyzer
   [Item("AgeDistributionAnalyzer", "Analyzes the distribution of the ages in that it adds a Histogram of them into the result collection.")]
-  [StorableClass]
+  [StorableClass("506DDBBE-E408-48C9-BBEA-D8A67BFF95D8")]
   public sealed class AgeDistributionAnalyzer : SingleSuccessorOperator, IAnalyzer, IIterationBasedOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/Analyzers/OldestAverageYoungestAgeAnalyzer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/Analyzers/OldestAverageYoungestAgeAnalyzer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/Analyzers/OldestAverageYoungestAgeAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Algorithms.ALPS {
   [Item("OldestAverageYoungestAgeAnalyzer", "An operator which calculates the current oldest, average and youngest age in the scope tree.")]
-  [StorableClass]
+  [StorableClass("2806D1D0-EE9E-4006-9439-C75487E31D36")]
   public sealed class OldestAverageYoungestAgeAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/Analyzers/OldestAverageYoungestAgeCalculator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/Analyzers/OldestAverageYoungestAgeCalculator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/Analyzers/OldestAverageYoungestAgeCalculator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Algorithms.ALPS {
   [Item("OldestAverageYoungestAgeCalculator", "An operator which calculates the oldest, average and youngest age of solutions in the scope tree.")]
-  [StorableClass]
+  [StorableClass("4BD90432-F4EF-4C0F-B3F6-EC3BCA33CF05")]
   public sealed class OldestAverageYoungestAgeCalculator : SingleSuccessorOperator {
     public IScopeTreeLookupParameter<DoubleValue> AgeParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/EldersSelector.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/EldersSelector.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/EldersSelector.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 
   [Item("EldersSelector", "Select all individuals which are too old for their current layer.")]
-  [StorableClass]
+  [StorableClass("EB0D1DA2-690A-493F-8684-524848A10EAF")]
   public sealed class EldersSelector : Selector {
     public IScopeTreeLookupParameter<DoubleValue> AgeParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/LastLayerCloner.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/LastLayerCloner.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/LastLayerCloner.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Algorithms.ALPS {
   [Item("LastLayerCloner", "An operator that creates a new layer by cloning the current last one.")]
-  [StorableClass]
+  [StorableClass("A7D0BA7F-1C3E-4320-8E99-AAEDFBD29715")]
   public sealed class LastLayerCloner : SingleSuccessorOperator {
     public OperatorParameter NewLayerOperatorParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/MatingPoolCreator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/MatingPoolCreator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/MatingPoolCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Algorithms.ALPS {
   [Item("MatingPoolCreator", "An operator which creates mating pools based on a set of sub-populations. For each sub-population, the individuals from the previous sub-population are copied into the current sub-population.")]
-  [StorableClass]
+  [StorableClass("E47A7892-E962-4CFA-8F13-82593D393449")]
   public sealed class MatingPoolCreator : SingleSuccessorOperator {
     public IValueLookupParameter<IntValue> MatingPoolRangeParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/ReseedingController.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/ReseedingController.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/ReseedingController.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Algorithms.ALPS {
   [Item("ReseedingController", "An operator that controls if reseeding is needed.")]
-  [StorableClass]
+  [StorableClass("C7506098-D653-4F9C-8B1E-651287E3B5DB")]
   public sealed class ReseedingController : SingleSuccessorOperator {
     public ILookupParameter<IntValue> GenerationsParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/ResultsHistoryWiper.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/ResultsHistoryWiper.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/ResultsHistoryWiper.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.ALPS {
   [Item("ResultsHistoryWiper", "An operator that removes the history of a ResultsCollection by setting all values in all DataTables to NaN.")]
-  [StorableClass]
+  [StorableClass("D94915A4-BFA4-43A4-B19D-C6EF32CB4A78")]
   public sealed class ResultsHistoryWiper : SingleSuccessorOperator {
     public ILookupParameter<ResultCollection> ResultsParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/WeightingReducer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/WeightingReducer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ALPS/3.3/WeightingReducer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.ALPS {
   [Item("WeightingReducer", "An operator that combines two values based on the weight of the lower (0.0) and higher (1.0) value.")]
-  [StorableClass]
+  [StorableClass("78A7C73B-714D-4FEA-9FF5-21579B405397")]
   public sealed class WeightingReducer : SingleSuccessorOperator {
     public IScopeTreeLookupParameter<DoubleValue> ParameterToReduce {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Benchmark.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Benchmark.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Benchmark.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Algorithms.Benchmarks {
   [Item("Benchmark", "Base class for benchmarks.")]
-  [StorableClass]
+  [StorableClass("FBCB7B7C-8943-4E02-A289-A6C47096FE8A")]
   public abstract class Benchmark : IBenchmark {
     public virtual string ItemName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/BenchmarkAlgorithm.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/BenchmarkAlgorithm.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/BenchmarkAlgorithm.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -38,5 +38,5 @@
   [Item("Benchmark Algorithm", "An algorithm to execute performance benchmarks (Linpack, Dhrystone, Whetstone, etc.).")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysis, Priority = 130)]
-  [StorableClass]
+  [StorableClass("CD2F76AD-3E63-4114-B12B-DC7A03FC20CD")]
   public sealed class BenchmarkAlgorithm : IAlgorithm {
     private CancellationTokenSource cancellationTokenSource;
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Dhrystone.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Dhrystone.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Dhrystone.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.Benchmarks {
   [Item("Dhrystone", "Dhrystone performance benchmark.")]
-  [StorableClass]
+  [StorableClass("028FC98B-D4F7-455F-B895-CBDDE61A1CF4")]
   public sealed class Dhrystone : Benchmark {
     private const int Ident_1 = 0;
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Linpack.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Linpack.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Linpack.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.Benchmarks {
   [Item("Linpack", "Linpack performance benchmark.")]
-  [StorableClass]
+  [StorableClass("EADE3F32-C74C-4708-ADA4-418B63207B02")]
   public sealed class Linpack : Benchmark {
     private const int DEFAULT_PSIZE = 1500;
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Whetstone.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Whetstone.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Whetstone.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.Benchmarks {
   [Item("Whetstone", "Whetstone performance benchmark.")]
-  [StorableClass]
+  [StorableClass("5504509A-CC61-4385-9C02-E62CF6B1D07F")]
   public sealed class Whetstone : Benchmark {
     private long begin_time;
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAAnalyzer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAAnalyzer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -34,5 +34,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMAAnalyzer", "Analyzes the development of strategy parameters and visualizes the performance of CMA-ES.")]
-  [StorableClass]
+  [StorableClass("021CAE0C-9351-4C54-A953-3D815125B64C")]
   public sealed class CMAAnalyzer : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAEvolutionStrategy.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAEvolutionStrategy.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAEvolutionStrategy.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -37,5 +37,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMA Evolution Strategy", "An evolution strategy based on covariance matrix adaptation.")]
-  [StorableClass]
+  [StorableClass("B0FB1DCD-E3BA-4DE0-A9B7-CDBABF20419B")]
   public sealed class CMAEvolutionStrategy : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
@@ -239,5 +239,5 @@
       Parameters.Add(new FixedValueParameter<IntValue>(SeedName, "The random seed used to initialize the new pseudo random number generator.", new IntValue(0)));
       Parameters.Add(new FixedValueParameter<BoolValue>(SetSeedRandomlyName, "True if the random seed should be set to a random value, otherwise false.", new BoolValue(true)));
-      Parameters.Add(new FixedValueParameter<IntValue>(PopulationSizeName, "λ (lambda) - the size of the offspring population.", new IntValue(20)));
+      Parameters.Add(new FixedValueParameter<IntValue>(PopulationSizeName, "Î» (lambda) - the size of the offspring population.", new IntValue(20)));
       Parameters.Add(new FixedValueParameter<IntValue>(InitialIterationsName, "The number of iterations that should be performed with only axis parallel mutation.", new IntValue(0)));
       Parameters.Add(new FixedValueParameter<DoubleArray>(InitialSigmaName, "The initial sigma can be a single value or a value for each dimension. All values need to be > 0.", new DoubleArray(new[] { 0.5 })));
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAEqualweightedRecombinator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAEqualweightedRecombinator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAEqualweightedRecombinator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMA Equal-weighted Recombinator", "Calculates weighted mean using equal weights.")]
-  [StorableClass]
+  [StorableClass("7B83A5B4-65A6-4E08-8378-7D797C5B1D02")]
   public class CMAEqualweightedRecombinator : CMARecombinator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAInitializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAInitializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMAInitializer", "Initializes the covariance matrix and step size variables.")]
-  [StorableClass]
+  [StorableClass("04958A1A-7377-49E6-A8A7-0D25DBE4F10C")]
   public class CMAInitializer : SingleSuccessorOperator, ICMAInitializer, IIterationBasedOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMALinearweightedRecombinator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMALinearweightedRecombinator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMALinearweightedRecombinator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMA Linear-weighted Recombinator", "Calculates weighted mean using linear decreasing weights.")]
-  [StorableClass]
+  [StorableClass("D6DA9DD5-498F-4351-A355-97D7BAC72FEF")]
   public class CMALinearweightedRecombinator : CMARecombinator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMALogweightedRecombinator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMALogweightedRecombinator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMALogweightedRecombinator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMA Log-weighted Recombinator", "Calculates weighted mean based on a logarithmic decreasing weights.")]
-  [StorableClass]
+  [StorableClass("34A14EB2-7B0E-4906-BD78-471FDD4E9E42")]
   public class CMALogweightedRecombinator : CMARecombinator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAMutator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAMutator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAMutator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMAMutator", "Mutates the solution vector according to the CMA-ES scheme.")]
-  [StorableClass]
+  [StorableClass("68887715-E3F5-4142-90DC-E3E34C5FF98E")]
   public sealed class CMAMutator : SingleSuccessorOperator, IStochasticOperator, ICMAManipulator, IIterationBasedOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMARecombinator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMARecombinator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMARecombinator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMARecombinator", "Base class that calculates the weighted mean of a number of offspring.")]
-  [StorableClass]
+  [StorableClass("21FDA4B1-FCDB-44E4-9979-10AE4E8F8D9D")]
   public abstract class CMARecombinator : SingleSuccessorOperator, ICMARecombinator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAUpdater.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAUpdater.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAUpdater.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMAUpdater", "Updates the covariance matrix and strategy parameters of CMA-ES.")]
-  [StorableClass]
+  [StorableClass("8EB2E2B6-ECD3-49DA-95C5-99AC5B8725D3")]
   public class CMAUpdater : SingleSuccessorOperator, ICMAUpdater, IIterationBasedOperator, ISingleObjectiveOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAParameters.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAParameters.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAParameters.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMAParameters", "CMA-ES controls many strategy parameters that guide the search and which are combined in this class.")]
-  [StorableClass]
+  [StorableClass("C309731D-87B8-44DB-A994-53E39489F0FD")]
   public sealed class CMAParameters : Item {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/Terminator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/Terminator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/Terminator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("Terminator", "Decides if the algorithm should terminate or not.")]
-  [StorableClass]
+  [StorableClass("0B0C59FC-C2B8-4076-9710-66FE5F45C19E")]
   public class Terminator : Operator, IIterationBasedOperator, ISingleObjectiveOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAAnalyzer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAAnalyzer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -34,5 +34,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMAAnalyzer", "Analyzes the development of strategy parameters and visualizes the performance of CMA-ES.")]
-  [StorableClass]
+  [StorableClass("EE1867B6-8415-40C2-A5B5-CBA9FED77BB4")]
   public sealed class CMAAnalyzer : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAEvolutionStrategy.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAEvolutionStrategy.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAEvolutionStrategy.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -38,5 +38,5 @@
   [Item("CMA Evolution Strategy (CMAES)", "An evolution strategy based on covariance matrix adaptation.")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms, Priority = 210)]
-  [StorableClass]
+  [StorableClass("ADCF5E4D-B2D2-4173-9DD1-AD0D608D8DFD")]
   public sealed class CMAEvolutionStrategy : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
@@ -240,5 +240,5 @@
       Parameters.Add(new FixedValueParameter<IntValue>(SeedName, "The random seed used to initialize the new pseudo random number generator.", new IntValue(0)));
       Parameters.Add(new FixedValueParameter<BoolValue>(SetSeedRandomlyName, "True if the random seed should be set to a random value, otherwise false.", new BoolValue(true)));
-      Parameters.Add(new FixedValueParameter<IntValue>(PopulationSizeName, "λ (lambda) - the size of the offspring population.", new IntValue(20)));
+      Parameters.Add(new FixedValueParameter<IntValue>(PopulationSizeName, "Î» (lambda) - the size of the offspring population.", new IntValue(20)));
       Parameters.Add(new FixedValueParameter<IntValue>(InitialIterationsName, "The number of iterations that should be performed with only axis parallel mutation.", new IntValue(0)));
       Parameters.Add(new FixedValueParameter<DoubleArray>(InitialSigmaName, "The initial sigma can be a single value or a value for each dimension. All values need to be > 0.", new DoubleArray(new[] { 0.5 })));
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAEqualweightedRecombinator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAEqualweightedRecombinator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAEqualweightedRecombinator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMA Equal-weighted Recombinator", "Calculates weighted mean using equal weights.")]
-  [StorableClass]
+  [StorableClass("F2D26133-0606-4439-AC06-E5AD9D201E50")]
   public class CMAEqualweightedRecombinator : CMARecombinator {
 
